Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLANTR

    java.lang.Object
      org.netlib.lapack.DLANTR

    public class DLANTR

extends java.lang.Object

    DLANTR is a simplified interface to the JLAPACK routine dlantr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLANTR  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  trapezoidal or triangular matrix A.
     *
     *  Description
     *  ===========
     *
     *  DLANTR returns the value
     *
     *     DLANTR = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in DLANTR as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the matrix A is upper or lower trapezoidal.
     *          = 'U':  Upper trapezoidal
     *          = 'L':  Lower trapezoidal
     *          Note that A is triangular instead of trapezoidal if M = N.
     *
     *  DIAG    (input) CHARACTER*1
     *          Specifies whether or not the matrix A has unit diagonal.
     *          = 'N':  Non-unit diagonal
     *          = 'U':  Unit diagonal
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0, and if
     *          UPLO = 'U', M <= N.  When M = 0, DLANTR is set to zero.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0, and if
     *          UPLO = 'L', N <= M.  When N = 0, DLANTR is set to zero.
     *
     *  A       (input) DOUBLE PRECISION array, dimension (LDA,N)
     *          The trapezoidal matrix A (A is triangular if M = N).
     *          If UPLO = 'U', the leading m by n upper trapezoidal part of
     *          the array A contains the upper trapezoidal matrix, and the
     *          strictly lower triangular part of A is not referenced.
     *          If UPLO = 'L', the leading m by n lower trapezoidal part of
     *          the array A contains the lower trapezoidal matrix, and the
     *          strictly upper triangular part of A is not referenced.  Note

     *          that when DIAG = 'U', the diagonal elements of A are not
     *          referenced and are assumed to be one.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(M,1).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (MAX(1,LWORK)),
     *          where LWORK >= M when NORM = 'I'; otherwise, WORK is not
     *          referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`DLANTR()`

Method Summary
`static double` | `DLANTR(java.lang.String norm, java.lang.String uplo, java.lang.String diag, int m, int n, double[][] a, double[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLANTR

    public DLANTR()

Method Detail

### DLANTR

    public static double DLANTR(java.lang.String norm,
                                java.lang.String uplo,
                                java.lang.String diag,
                                int m,
                                int n,
                                double[][] a,
                                double[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD